package org.jeecg.modules.system.app.enums;

import lombok.Getter;

@Getter
public enum SiteTypeEnum {
//    0学校 1体育馆
    SCHOOL(0, "学校"),
    GYMNASIUM(1, "体育馆");
    final int code;
    final String name;
    SiteTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
    public int getCode() {
        return code;
    }
    public String getName() {
        return name;
    }
    public static SiteTypeEnum getByCode(int code) {
        for (SiteTypeEnum value : values()) {
            if (value.code == code) {
                return value;
            }
        }
        return null;
    }
}
